{% extends 'base.html' %}

{% block title %}Add Event{% endblock %}

{% block content %}
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<h1 class="text-center my-3">Add an Event</h1>
				{% if error == True %}
					<p class="text-danger">Duplicate event found</p>
				{% endif %}
				<form action="{% url 'todolist:add_event' %}" method="post">
					{% csrf_token %}

					<div class="mb-3">
					    <label for="event_name">Event Name: </label>
					    <input class="form-control" id="event_name" type="text" name="event_name" value="{{ event_name }}" maxlength="50" required>
					</div>
					<br>
					<div class="mb-3">
					    <label for="description">Description: </label>
					    <textarea class="form-control" name="description" value="{{ description }}" required></textarea>
					</div>
					<br>
					<div class="mb-3">
					    <label for="status">Status: </label>
					    <select class="form-control" id="status" name="status" value="{{ status }}" required>
					    	<option value="pending">Pending</option>
					    	<option value="completed">Completed</option>
					    </select>
					</div>
					<br>
					<div class="mb-3">
					    <label for="date_created">Event Date: </label>
					    <input class="form-control" id="date_created" type="datetime-local" name="date_created" value="{{ date_created }}" required>
					</div>
					<br>

					<br><br>
					<div class="text-center">
				    	<input class="btn btn-success" type="submit" value="Add Event">
					</div>

				</form>
			</div>
		</div>
	</div>
{% endblock %}